// index.js
// 获取应用实例
const app = getApp()

Page({
  data: {
    playUrl: '',
    videoCtx: null,
    errMsg: ''
  },
  // 事件处理函数
  bindViewTap() {
    wx.navigateTo({
      url: '../logs/logs'
    })
  },
  onLoad() {
    if (wx.getUserProfile) {
      this.setData({
        canIUseGetUserProfile: true
      })
    }

    this.setData({
      videoCtx: wx.createVideoContext('video-el')
    })
  },
  handlePlayClick() {
    this.setData({
      errMsg: ''
    })
    var video = this.data.videoCtx
    video.play()
  },
  handlePlayUrlInput(e) {
    this.setData({
      errMsg: ''
    })
    this.setData({
      playUrl: e.detail.value
    })
  },
  onVideoPlayError(e) {
    console.log('onVideoPlayError: ', e);
    this.setData({
      errMsg: '播放出错，原因：' + e.detail.errMsg
    })
  }
})
